import { Config as BaseConfig, Events, GenericExecutor } from './Executor';
import Task from '@dojo/core/async/Task';
export declare class GenericNode<E extends Events, C extends Config> extends GenericExecutor<E, C> {
    constructor(config: C);
    readonly environment: string;
    loadScript(script: string | string[]): Task<void>;
    protected _beforeRun(): Task<void>;
    protected _loadSuites(config?: C): Task<void>;
    protected _processOption(name: keyof Config, value: any): void;
    protected _resolveConfig(): Task<any>;
    protected _setInstrumentationHooks(excludeInstrumentation: RegExp): void;
    protected _removeInstrumentationHooks(): void;
}
export default class Node extends GenericNode<Events, Config> {
    static initialize(config?: Config): Node;
}
export { Events };
export interface Config extends BaseConfig {
    nodeSuites?: string[];
}
